Adding status

2011-03-02 11:58 - Gauthier Brion

Status: Closed Start date: 2011-03-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.1

Description

I'm simply adding a status in "Issue Status" and it get frozen (even ssh could not connect, hard reset needed):

One time it returned me an error and the production.log ends by :

Processing IssueStatusesController#new (for 192.168.199.2 at 2011-03-02 11:49:44                                     ) [GET]

Parameters: {"action"=>"new", "controller"=>"issue_statuses"}

Rendering template within layouts/admin

Rendering issue_statuses/new

Completed in 69ms (View: 50, DB: 12) | 200 OK [https://***.***.***.***/issue_stat                                     uses/new]

Processing IssueStatusesController#create (for 192.168.199.2 at 2011-03-02 11:49                                     :53) [POST]

Parameters: {"commit"=>"Create", "issue_status"=>{"name"=>"Accepted", "is_defa                                     ult"=>"0",

"is_closed"=>"0"}, "action"=>"create", "authenticity_token"=>"0qAiFnF                                    

DuLea1SXTTvXjQOLJskOCd72jzXLbJmf20ns=", "controller"=>"issue_statuses"}

ActiveRecord::StatementInvalid (RuntimeError: ERROR     CXX001  Mcould not read                                      block 0 of relation

base/22933/23552: read only 4096 of 8192 bytes      Fmd.c  L                                     650     Rmdread: INSERT INTO

"issue_statuses" ("name", "position", "is_default",                                      "default_done_ratio", "is_closed") VALUES RETUR      

NING "id"):

app/controllers/issue_statuses_controller.rb:37:in `create'

passenger (3.0.0) lib/phusion_passenger/rack/request_handler.rb:96:in `process                                     request'

passenger (3.0.0) lib/phusion_passenger/abstract_request_handler.rb:513:in `ac                                    

cept_and_process_next_request'

passenger (3.0.0) lib/phusion_passenger/abstract_request_handler.rb:274:in `ma                                     in_loop'

passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:3                                     21:in

`start_request_handler'

passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:2                                     75:in `send'

passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:2                                     75:in

`handle_spawn_application'

passenger (3.0.0) lib/phusion_passenger/utils.rb:479:in `safe_fork'

passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:2                                     70:in

`handle_spawn_application'

passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in `_send__'

passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in `server_main                                     loop'

passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:206:in `start_synch                                     ronously'

passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:180:in `start'

passenger (3.0.0) lib/phusion_passenger/classic_rails/application_spawner.rb:1                                     49:in `start'

passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_a                                     pplication'

passenger (3.0.0) lib/phusion_passenger/abstract_server_collection.rb:132:in `                                     lookup_or_add'

passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_a                                     pplication'

passenger (3.0.0) lib/phusion_passenger/abstract_server_collection.rb:82:in `s                                     ynchronize'

passenger (3.0.0) lib/phusion_passenger/abstract_server_collection.rb:79:in `s                                     ynchronize'

passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_a                                     pplication'

passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_applica                                     tion'

passenger (3.0.0) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn                                     application'

passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:357:in `server_main                                     _loop'

passenger (3.0.0) lib/phusion_passenger/abstract_server.rb:206:in `start_synch                                     ronously'

passenger (3.0.0) helper-scripts/passenger-spawn-server:99

Rendering /home/gabr/redmine/public/500.html (500 Internal Server Error)

2025-05-17 1/2

https://***.***.***.***/issue_stat


History

#1 - 2011-03-02 12:38 - Gauthier Brion

Even by trying to add the status manually in the DB using psql :

INSERT INTO "issue_statuses" ("name", "position", "is_default", "default_done_ratio", "is_closed") VALUES ('Accepted', 5, 'f', 0, 'f');

#2 - 2011-03-02 14:36 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Looks like it's a postgresql reindex issue : http://archives.postgresql.org/pgsql-bugs/2009-02/msg00136.php

#3 - 2011-03-02 17:32 - Gauthier Brion

Indeed, with my last comment ;-)

I simply recreated the index with this command in the redmine postgresql database :

REINDEX TABLE issue_statuses;  (Will rebuild all the indexes on this table)

 Now it's working again.
